Correlated Markets

Resolve a market by venue ID, slug, or text and return cascade

POST
/correlated-markets/resolve

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Request Body

application/json
  1. body
venue?string
externalId?string
slug?string
conditionId?string
q?string
side?string
Value in"yes""no"
mode?string
Value in"expand""hedge"
limit?number
cursor?string
includeResolved?boolean

Response Body

200

application/json
  1. response
market*
data*array<>
nextCursor*string
hasMore*boolean
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/correlated-markets/resolve' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "market": {    "id": "string",    "question": "string"  },  "data": [    {      "venueEventId": "string",      "eventTitle": "string",      "eventStatus": "unopened",      "eventStartDate": "string",      "eventEndDate": "string",      "score": 0,      "action": "string",      "reason": "string",      "reasonDomain": "string"    }  ],  "nextCursor": "string",  "hasMore": true}